Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 601101 - specifying language in the kernel command line makes accented characters broken
specifying language in the kernel command line makes accented characters broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Ales Kozumplik
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 04:38 EDT by Ales Kozumplik
Modified: 2014-09-30 19:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-13.21.51-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:47:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
broken accented characters (6.85 KB, application/octet-stream)
2010-06-07 04:38 EDT, Ales Kozumplik
no flags Details
screenshot with snapshot #7 (6.87 KB, image/png)
2010-07-06 06:37 EDT, Alexander Todorov
no flags Details

  None (edit)
Description Ales Kozumplik 2010-06-07 04:38:00 EDT
Created attachment 421749 [details]
broken accented characters

Steps to Reproduce:
1. start installation with lang=cs_CZ command line option
2. ??
3. profit!
  
Actual results:
some accented characters broken or missing, see the screen capture.

Expected results:
no such artifacts are visible, like when one chooses the language from a menu.

Additional info:
This could be the same problem as bug 576541.
Comment 2 RHEL Product and Program Management 2010-06-07 13:05:17 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Ales Kozumplik 2010-06-10 10:55:17 EDT
Fixed by 0e44fbc1589a91dacefff78341a34c12b782c7f5 in anaconda-31.21.51-1.el6.
Comment 5 Alexander Todorov 2010-07-06 06:37:15 EDT
Created attachment 429738 [details]
screenshot with snapshot #7

I've tested this with snap #7 (0701.3) which has anaconda-13.21.56-1.el6.

Booted with lang=cs_CZ parameter and performed the install in text mode. I didn't see any garbled characters, text output was looking correct. See attached screenshot which shows the fix (compare to previous screenshot). 

Moving to VERIFIED.
Comment 6 releng-rhel@redhat.com 2010-11-10 14:47:07 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.